Bug 444870 - Log out or Shutdown => No option to shutdown
Log out or Shutdown => No option to shutdown
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: bigboard (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-01 08:28 EDT by Marco Pesenti Gritti
Modified: 2009-07-14 12:06 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:06:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marco Pesenti Gritti 2008-05-01 08:28:32 EDT
The dialog I get from "Log out or Shutdown" has no option to shutdown.
Comment 1 Marco Pesenti Gritti 2008-05-01 08:42:27 EDT
The shutdown/reboot functionality has been moved from GDM to ConsoleKit.
gnome-panel has been patched accordingly but gnome-session has not. For
reference here is the gnome-panel upstream bug:

http://bugzilla.gnome.org/show_bug.cgi?id=511881

Bigboard "uses" the gnome-session dialog. gnome-panel instead provides its own
dialogs. The partially implemented plan for 2.24 is apparently to have the
dialogs code in gnome-session and gnome-panel call the gnome-session API. 

I can think of a couple of possibilities to fix this for Fedora 9:

* Port the gnome-panel patch to gnome-session and apply it to the Fedora 9
package. A bit of a waste because the gnome-session code has changed heavily on
trunk.
* Quick hack. Patch the Fedora bigboard package to just say "Logout" and let the
users shutdown from GDM.
Comment 2 Marco Pesenti Gritti 2008-05-05 11:31:07 EDT
As discussed on the online desktop mailing list, Owen is going to add a patch to
the rpm to make the menu say "Logout" for Fedora 9.
Comment 3 Bug Zapper 2008-05-14 06:28:18 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-06-09 20:33:08 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-07-14 12:06:43 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.